LDD(1)

NAZWA
ldd - wyświetla zależności od obiektów dzielonych

SKŁADNIA
ldd [opcja]... plik...

OPIS
ldd wyświetla obiekty dzielone (biblioteki dzielone) wymagane przez każdy program lub obiekt dzielony podany w linii poleceń.

  Bezpieczeństwo
Zwyczajowo ldd uruchamia standardowy konsolidator dynamiczny (patrz ld.so(8) ze zmienną środowiska LD_TRACE_LOADED_OBJECTS ustawioną na 1, co powoduje, że konsolidator wypisze zależności od bibliotek. Prosimy jednak uważać - niektóre wersje ldd mogą próbować uzyskać te informacje, uruchamiając program bezpośrednio. Dlatego nigdy nie powinno się używać ldd z niezaufanym programem wykonywalnym, ponieważ może to owocować wykonaniem dowolnego kodu. Bezpieczniejsza alternatywa radzenia sobie z niezaufanymi programami wykonywalnymi to:
    $ objdump -p /ścieżka/do/programu | grep NEEDED

OPCJE

--version
    Drukuje numer wersji ldd.

-v, --verbose
    Wypisuje wszystkie informacje, włączając to na przykład informacje o wersjach symboli.

-u, --unused
    Wypisuje nieużywane bezpośrednie zależności. (Od glibc 2.3.4).

-d, --data-relocs
    Dokonuje relokacji i zgłasza wszelkie brakujące funkcje (tylko ELF).

-r, --function-relocs
    Dokonuje relokacji zarówno dla obiektów danych, jak i funkcji i zgłasza listę nieobecnych obiektów lub funkcji (tylko ELF).

--help
    Informacje o użyciu programu.

BŁĘDY
ldd nie działa na bibliotekach współdzielonych a.out.

ldd nie zadziała z bardzo starymi programami a.out, które zostały skonsolidowane zanim dodano do kompilatora obsługę ldd. Jeśli użyje się ldd na jednym z tych programów, to program będzie uruchomiony z argc = 0, a wyniki tego będą nieprzewidywalne.

ZOBACZ TAKŻE
pldd(1), sprof(1), ld.so(8), ldconfig(8)

O STRONIE
Angielska wersja tej strony pochodzi z wydania 4.05 projektu Linux man-pages. Opis projektu, informacje dotyczące zgłaszania błędów, oraz najnowszą wersję oryginału można znaleźć pod adresem https://www.kernel.org/doc/man-pages/.

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika man są: Przemek Borys (PTM) <pborys@dione.ids.pl>, Robert Luberda <robert@debian.org> i Michał Kułach <michal.kulach@gmail.com>.

Polskie tłumaczenie jest częścią projektu manpages-pl; uwagi, pomoc, zgłaszanie błędów na stronie http://sourceforge.net/projects/manpages-pl/. Jest zgodne z wersją 4.05 oryginału.